> For the complete documentation index, see [llms.txt](https://docs.tvheadend.org/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tvheadend.org/documentation/development/json-api/api-description/config.md).

# Config

ADMIN privilege is required for all of these functions except config/capabilities and serverinfo.

### config/capabilities

Returns a list of some compile-time options which were used to build the software. Requires either 'Web Interface' or 'HTSP Interface' privilege.

```
[
   "caclient",
   "tvadapters",
   "imagecache",
   "timeshift",
   "trace",
   "libav"
]
```

### config/load

Lists the details, descriptions, defaults and current values of the items in the GUI screen Configuration -> General -> Base. See [Common Parameters](/documentation/development/json-api/api-description/common-parameters.md) for details of selection parameters.

### config/save

**Untested.** Updates the server from an object in the format produced by [config/load](#config-load).

* `node` The JSON object.

### memoryinfo/class

Lists the details and descriptions of items in the TVH GUI screen Configuration -> Debugging -> Memory Information Entries.

### memoryinfo/grid

Lists details of in-memory objects. See [Common Parameters](/documentation/development/json-api/api-description/common-parameters.md) for details of selection parameters.

```
{
   "entries" : [
      {
         "peak_count" : 17154,
         "name" : "EPG Broadcasts",
         "uuid" : "a1af1bc4f29ba28104e71a540465f250",
         "count" : 17154,
         "peak_size" : 6235792,
         "size" : 6235792
      },
      {
         "peak_count" : 3285,
         "peak_size" : 369303,
         "count" : 3285,
         "size" : 369303,
         "name" : "EPG Series Links",
         "uuid" : "823a78a3bcd05b688c59871455da6399"
      },
      {
         "count" : 11514,
         "peak_size" : 5015593,
         "size" : 5015593,
         "name" : "EPG Episodes",
         "uuid" : "5c666eea1ec3de4bbb9a11f60116b258",
         "peak_count" : 11514
      }, ...
   ],
   "total" : 19
}
```

### pathlist

Lists all of the api functions supported by the server.

```
[
   "access/entry/class",
   "access/entry/create",
   "access/entry/grid",
   "access/entry/userlist", ...
]
```

### serverinfo

Lists information about the server including the software version number.

```
{
   "api_version" : 19,
   "webroot" : "/testserver",
   "name" : "Tvheadend",
   "capabilities" : [
      "caclient",
      "tvadapters",
      "trace",
      "libav"
   ],
   "sw_version" : "4.3-943~g9b85e7b7c-dirty"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tvheadend.org/documentation/development/json-api/api-description/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
